Skip to main content
`Ctrl`+`K`

# TaoALMMGetSubsolver

Retrieve the subsolver being used by `TAOALMM`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoALMMGetSubsolver(Tao tao, Tao *subsolver)

## Input Parameter

- tao - the `Tao` context for the `TAOALMM` solver

## Output Parameter

- subsolver - the `Tao` context for the subsolver

## See Also

`Tao`, `TAOALMM`, `TaoALMMSetSubsolver()`

## Level

advanced

## Location

src/tao/constrained/impls/almm/almmutils.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages